Page MenuHomePhabricator

Certain native app elements should match the language of the article, not the system.
Closed, ResolvedPublic3 Story Points

Description

Specifically, the following things should be translated to the current article language, instead of using the system language:

The following should be tied to content language

  • Article Title (align based on the rtl-ness of the article, not the system)
  • "Read More" text in the TOC
  • "Similar pages" and "Page issues" labels
  • "Quick facts" and "More information"
  • "Read More" section label

Event Timeline

Vibhabamba assigned this task to Dbrant.
Vibhabamba raised the priority of this task from to Needs Triage.
Vibhabamba updated the task description. (Show Details)
Vibhabamba added a subscriber: Vibhabamba.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 10:14 PM
Vibhabamba set Security to None.
Dbrant renamed this task from Switch Labels from system language to content language to Certain native app elements should match the language of the article, not the system..Aug 18 2015, 2:13 PM
Dbrant updated the task description. (Show Details)
Restricted Application added a project: I18n. · View Herald TranscriptAug 19 2015, 6:11 PM

Discussed with language engineering team - Amir and Pau in August 2015.
The general consensus is that currently a lot of elements are set to UI Language.

Any element which is read along in continuity with content should be set to content language.

Dbrant removed Dbrant as the assignee of this task.Aug 25 2015, 5:32 PM
Dbrant added a project: WorkType-Maintenance.
Dbrant moved this task from Needs Triage to Bug Backlog on the Wikipedia-Android-App-Backlog board.
Deskana triaged this task as Normal priority.Aug 29 2015, 2:41 AM
Deskana added a subscriber: Deskana.
Amire80 moved this task from Backlog to Mobile on the RTL board.Aug 30 2015, 7:16 AM
Dbrant updated the task description. (Show Details)Sep 25 2015, 5:38 PM
MBinder_WMF edited a custom field.Sep 25 2015, 5:38 PM
Mholloway moved this task from To Do to Doing on the Mobile-App-Android-Sprint-67-Holmium board.

Change 242893 had a related patch set uploaded (by Mholloway):
L10npalooza! Make various UI elements consistent with the article language

https://gerrit.wikimedia.org/r/242893

Change 242893 merged by jenkins-bot:
L10npalooza! Make various UI elements consistent with the article language

https://gerrit.wikimedia.org/r/242893

Checked with 2.0.131-alpha-2015-10-21 on Nexus 5 according to the following guidelines:

The following should be tied to content language
Article Title (align based on the rtl-ness of the article, not the system)
"Read More" text in the TOC
"Similar pages" and "Page issues" labels
"Quick facts" and "More information"
"Read More" section label

When Wikipedia language is changed

  1. >Article Title (align based on the rtl-ness of the article, not the system) - e.g. in Persian

  1. >"Read More" text in the TOC and

"Read More" section label

(e.g. - Persian and Russian)

  1. >"Similar pages" and "Page issues" labels - e.g. in Russian

  1. >"Quick facts" and "More information"

Dbrant closed this task as Resolved.Oct 26 2015, 3:17 PM